pldv {plm} | R Documentation

## Panel estimators for limited dependent variables

### Description

Fixed and random effects estimators for truncated or censored limited dependent variable

### Usage

    pldv(formula, data, subset, weights, na.action,
                     model = c("fd", "random", "pooling"), index = NULL,
                     R = 20, start = NULL, lower = 0, upper = + Inf,
                     objfun = c("lsq", "lad"), sample = c("cens", "trunc"), ...)

### Arguments

`formula` | a symbolic description for the model to be estimated,
`data` | a `data.frame`,
`subset` | see `lm`,
`weights` | see `lm`,
`na.action` | see `lm`,
`model` | one of `"fd"`, `"random"` or `"pooling"`,
`index` | the indexes, see `pdata.frame`,
`R` | the number of points for the gaussian quadrature,
`start` | a vector of starting values,
`lower` | the lower bound for the censored/truncated dependent variable,
`upper` | the upper bound for the censored/truncated dependent variable,
`objfun` | the objective function for the fixed effect model, one of `"lsq"` for least squares and `"lad"` for least absolute deviations,
`sample` | `"cens"` for a censored (tobit-like) sample, `"trunc"` for a truncated sample,
`...` | further arguments.

### Details

`pldv` computes two kinds of models : maximum likelihood estimator with an assumed normal distribution for the individual effects and a LSQ/LAD estimator for the first-difference model.

### Value

An object of class `c("plm","panelmodel")`.

### Author(s)

Yves Croissant

### References

Honor\'e, Bo (1992). Trimmed LAD and least squares estimation of truncated and censored regression models with fixed effects, Econometrica, 60(3), pp. 533–565.

[Package plm version 1.6-6 Index]